Market Radar API
API referenceSignals

One signal with its sources

GET
/signals/{id}

Authorization

key
AuthorizationBearer <token>

A key created in the app under Settings, API and MCP. Read keys read; Read and write keys also add, edit and delete companies, custom sources, groups and radars, and create, rename and delete folders.

In: header

Path Parameters

id*integer
Range0 < value <= 9007199254740991

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/signals/1"
{  "id": 1,  "radar_id": 1,  "headline": "string",  "summary": "string",  "filters": [    {      "id": 1,      "kind": "event",      "key": "string",      "label": "string"    }  ],  "company": {    "id": 1,    "name": "string"  },  "first_reported_at": "2019-08-24T14:15:22Z",  "last_source_at": "2019-08-24T14:15:22Z",  "url": "string",  "source_count": -9007199254740991,  "category": "deal",  "importance": 0,  "found_at": "2019-08-24T14:15:22Z",  "sources": [    {      "url": "string",      "domain": "string",      "title": "string",      "published_at": "2019-08-24T14:15:22Z",      "excerpt": "string",      "origin": "web",      "author": "string",      "custom_source_id": 1,      "language": "string",      "translated_title": "string",      "translated_excerpt": "string"    }  ]}